#!/bin/sh

echo "Installed successfully."

RESULT=0

if [ ! -x /usr/bin/perl ] ; then
	echo
	echo "Couldn't find  /usr/bin/perl."
	echo "Perl is required for LSB Test Execution Framework. Please, install it"
	echo "using the tools provided by your distro."
	echo
	RESULT=1
fi

if ! which lsb_release >/dev/null 2>&1; then
	echo
	echo "Couldn't find the required tool: lsb_release."
	echo "lsb_release should be always present for a LSB compliant distro."
	echo "You could install lsb_release and other LSB components using"
	echo "the tools provided by your distro."
	echo
	RESULT=1
fi

if lsb_release 2>&1 | grep "No LSB modules" >/dev/null 2>&1; then
	echo
	echo "No LSB modules are available."
	echo "You could install LSB modules using the tools provided by"
	echo "your distro."
	echo
	RESULT=1
fi

if ! which Xvfb >/dev/null 2>&1; then
	echo
	echo "Couldn't find the required tool: Xvfb (X Virtual Frame Buffer)."
	echo "Xvfb is required for X11 tests. If you are going to run these tests"
	echo "or to get certified, you should install Xvfb using the tools provided"
	echo "by your distro."
	echo
	RESULT=1
fi

# put out a message 
echo "__________________________________________________________________________"
echo "ATTENTION!"
echo
echo "This tool runs as the root user and installs packages on its own!"
echo "Therefore it can do pretty much harm if it gets out of control."
echo "We have tried to make the script reasonably safe but there is no warranty."
echo "Use it at YOUR OWN RISK only, and only if you know what you are doing."
echo
echo "PLEASE DO NOT RUN IT ON A MACHINE THAT HOLDS IMPORTANT DATA, OR PROVIDES"
echo "IMPORTANT SERVICES!"
echo "__________________________________________________________________________"
echo
echo "LSB Distribution Testkit Manager has been installed to"
echo "/opt/lsb/distr-testkit/tef."
if [ $RESULT -ne 0 ]; then
	echo
	echo "There were warnings."
fi
echo
echo "Use /opt/lsb/distr-testkit/tef/bin/lsb-tef-start.sh to run LSB DTK Manager."
echo
echo "Read more info at"
echo "http://ispras.freestandards.org/index.php/About_LSB_Test_Execution_Framework"
echo

exit $RESULT